=== lzf/Makefile ===
all: Makefile lzf

clean:
	-rm -f *.o *.a lzf bench

lzf_c.o: lzf_c.c lzfP.h

lzf_d.o: lzf_d.c lzfP.h

lzf.o: lzf.c

lzf: lzf.o liblzf.a

lzfP.h: lzf.h

liblzf.a: lzf_c.o lzf_d.o
	rm -f $@
	ar rc $@ $^
	ranlib $@
