=== debian/changelog ===
uswsusp (0.2.3) edgy; urgency=low

  * Tighten the build-depends somewhat further

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Tue, 19 Sep 2006 06:36:22 +0100

uswsusp (0.2.2) edgy; urgency=low

  * Tighten the build-depends

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 18 Sep 2006 16:48:31 +0100

uswsusp (0.2.1) edgy; urgency=low

  * Improve graphical feedback support

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 15 Sep 2006 21:42:26 +0100

uswsusp (0.2) edgy; urgency=low

  * Add support for graphical feedback

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Thu, 24 Aug 2006 00:53:27 +0100

uswsusp (0.1) edgy; urgency=low

  * Initial Release.

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 11 Aug 2006 09:42:59 +0100
