=== debian/control ===
Source: uswsusp
Section: utils
Priority: optional
Maintainer: Matthew Garrett <mjg59@srcf.ucam.org>
Build-Depends: debhelper (>= 5), usplash (>= 0.4-26), usplash-dev (>= 0.4-26)
Standards-Version: 3.7.2

Package: uswsusp
Architecture: any
Depends: libvolumeid0 (>= 093-0ubuntu9), initramfs-tools (>= 0.69ubuntu8), usplash (>= 0.4-26) ${shlibs:Depends}, ${misc:Depends}
Description: Userspace suspend/resume to disk
 uswsusp uses the kernel suspend interface in order to suspend a system to
 disk. By running in userland, it is able to perform jobs such as compressing
 the image and interacting with graphical splash systems.
