## uswsusp 1.0

=== debian/changelog ===
uswsusp (1.0-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/rules: 
      + Remove the SPLASHY_LIBS piece, it's useless since the splashy support
        has been disabled
      + Don't run debconf-updatepo in clean target

 -- Lorenzo De Liso <blackz@ubuntu.com>  Sat, 30 Apr 2011 12:01:13 +0200

uswsusp (1.0-1) unstable; urgency=low

  [ Rodolfo García Peñas (kix) ]
  * New 1.0 version [Closes: #589743, #578496, #617534]
  * A lot of new machines. 
    [Closes: #552484, #576803, #528483] 
    [Closes: #495111, #595125, #486352, #433872, #590233] 
  * A new length for addressing 
    [Closes: #550725, #549118]
    (http://lkml.org/lkml/2009/11/3/377)
  * Support for Kernel Mode Set (KMS) 
    [Closes: #437094, #586674, #547158, #567604]
  * Switch to dpkg-source 3.0 (quilt) format
  * Compiled without splash support. 
    libsplash is not included in stable, many bugs.
  * Moved the manpage file "suspend.conf.8" to manual section 5.
    [Closes: #520705]

  [ Anibal Monsalve Salazar ]
  * Update uploaders list

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Mon, 14 Mar 2011 08:26:16 +0100

uswsusp (0.8-1.2ubuntu1) maverick; urgency=low

  * Merge from debian unstable. (LP: #604910) Remaining changes:
    - Remove splashy support from debian/rules.
    - Remove splashy from Suggests.
    - Remove libsplashy1-dev from Build-Depends.
    - debian/rules: don't run debconf-updatepo in clean target.

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Sun, 08 Aug 2010 11:47:01 +0530

uswsusp (0.8-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch by Robert Millan to address the 'postinst fails when
    running inside a chroot and swap is a regular file' issue.
    [Closes: #533251, #522319]

 -- Michael Prokop <mika@debian.org>  Sat, 12 Dec 2009 23:19:28 +0100

uswsusp (0.8-1.1ubuntu3) jaunty; urgency=low

  * Remove usplash support also from debian/rules.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Thu, 19 Mar 2009 18:00:31 +0100

uswsusp (0.8-1.1ubuntu2) jaunty; urgency=low

  * Remove usplash support, it doesn't work (LP: #241115, #331101).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Thu, 19 Mar 2009 15:19:44 +0100

uswsusp (0.8-1.1ubuntu1) jaunty; urgency=low

  * Merge from Debian unstable (LP: #241115, #132603), remaining Ubuntu
    changes:
    - debian/control: modify libsplashy1-dev to libusplash-dev in Build-Depends
      field
    - debian/rules: don't run debconf-updatepo in clean target
    - add usplash support, I hope the patch is good
  * s2ram is built in Ubuntu again (LP: #134238).
  * debian/control: modify splashy (>= 0.3) to uspash in Suggests field.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Fri, 13 Feb 2009 21:48:21 +0100

uswsusp (0.8-1.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Remove extra and useless debian/po/ff/ directory
  * Debconf translation updates:
    - Japanese. Closes: #489939
    - German. Closes: #493747
    - French. Closes: #493771
    - Romanian. Closes: #493772
    - Galician. Closes: #494050
    - Finnish. Closes: #494087
    - Italian. Closes: #494096
    - Basque. Closes: #494277
    - Basque. Closes: #494277
    - Czech. Closes: #494410
    - Swedish. Closes: #494412
    - Russian. Closes: #495412
    - Portuguese. Closes: #495451
    - Spanish. Closes: #495499
    - Slovak. Closes: #495516

 -- Christian Perrier <bubulle@debian.org>  Wed, 20 Aug 2008 09:09:13 +0200

uswsusp (0.8-1) unstable; urgency=low

  [ Michael Biebl ]
  * New upstream release (closes: #459844). 

  [ Tim Dijkstra ]
  * The "Sorry this took so long, but a baby and a house got in the way" - release
  * Add patch for LFS (closes: #451249)
  * Remove use of grep in initramfs (closes: #443434) 
  * New models in the whitelist (closes: #473160, #467109, #475367, #448484,
    #458566, #458566, #470314, #487656, #444810)
  * Ask shutdown_method at low priority (closes: #448536) 
  * Change CONFIG_SOFTWARE_SUSPEND to CONFIG_HIBERNATION (closes: #452030, #470861)
  * Update whitelist for MacBook1,1 (closes: #458308)
  * Make CLI arguments consistent, update manpages (closes: #471120)
  * Document shutdown_method (closes: #490568)
  * Debconf translation updates (closes: #470578, #491418, #489939)
    Thanks: Vincent Zweije [nl], Martin Ågren [sv], Hideki Yamane [jp]
  * Do not hang when user supplies an empty passphrase. Thanks Mikko Rapeli
    for the patch. (closes: #457963)
  * Fix typo in README (closes: #448450) 
  * Remove libzf licence from copyright file (closes: #474389) 
  * Disable erroneous comress ratio output. This is fixed upstream by now, but
    it's not worth the trouble backporting IMHO. (closes: #443677, #443818)
  * Disable improved key handeling patch. This version is not working
    anymore. New version is applied upstream, no time for backporting before 
    lenny, sorry.
  * Remove hack for devfs style node names (closes: #450680) 

 -- Tim Dijkstra <tim@debian.org>  Mon, 28 Jul 2008 23:22:26 +0200

uswsusp (0.7-1.1) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n issues and FTBFS.
  * Fix FTBFS by (temporarily?) build-depending on glib. Thanks to
    Bart martens for the patch. Closes: #456841
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #445590
  * [Debconf translation updates]
    - Romanian. Closes: #446434
    - Galician. Closes: #446608
    - Czech. Closes: #446669
    - Vietnamese. Closes: #446997
    - Finnish. Closes: #447003
    - Basque. Closes: #447228
    - Italian. Closes: #447442
    - French. Closes: #447485
    - Portuguese. Closes: #447809
    - Russian. Closes: #447901
    - Slovak. Closes: #447914, #467529
    - Brazilian Portuguese. Closes: #448103, #469874
    - Spanish. Closes: #448999
  * Fix typo in NEWS.Debian. Closes: #459443
  * [Lintian] Use the new "Homepage" field in debian/control

