=== debian/rules ===
#!/usr/bin/make -f
#
# Copyright 2006 Tim Dijstra <tim@famdijkstra.org>
#
# Based on output from dh_make

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

MANPAGES=s2disk.8 s2ram.8 swap-offset.8 uswsusp.conf.5 suspend-keygen.8

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

#CFLAGS += `pkg-config --cflags glib-2.0`
#SPLASHY_LIBS = -L/lib -lsplashy -lgcc_s
SPLASHY_LIBS = -L/lib -lgcc_s

%.5: debian/%.xml
	docbook2x-man $<

%.8: debian/%.xml
	docbook2x-man $<

config.status:
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	#./autogen.sh
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--sysconfdir=/etc \
		--localstatedir=/var \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--docdir=\$${prefix}/share/doc/uswsusp \
		--with-initramfsdir=/usr/lib/uswsusp \
		--disable-resume-static \
		--disable-create-device \
		--enable-compress \
		--enable-encrypt \
		CFLAGS="$(CFLAGS)"

build: build-stamp

build-stamp: patch config.status $(MANPAGES)
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	chmod 755 debian/initramfs-tools/scripts/local-premount/* \
			debian/initramfs-tools/hooks/*
	
	touch $@

clean: clean-source unpatch
clean-source:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f $(MANPAGES)
	rm -f config.guess config.sub

	#debconf-updatepo

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/uswsusp.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/uswsusp

	# We don't want upstreams config file. 
	# Remove it here so I don't forget to patch the Makefile
	rm -f $(CURDIR)/debian/uswsusp/etc/suspend.conf
	rm -f $(CURDIR)/debian/uswsusp/usr/share/doc/uswsusp/COPYING*
	rm -rf $(CURDIR)/debian/uswsusp/dev

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installdebconf
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb -- -Zbzip2 -z9

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
