## uswsusp 1.0+20110509

=== debian/changelog ===
uswsusp (1.0+20110509-3ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: Remove the SPLASHY_LIBS piece, it's useless since the
      splashy support has been disabled

 -- Logan Rosen <logatronico@gmail.com>  Sat, 27 Oct 2012 17:38:51 -0400

uswsusp (1.0+20110509-3) unstable; urgency=low

  * New maintainer.
  * debian/control: Build-Depends, double "autotools-dev" dependency.
    Removing one of them.
  * debian/uswsusp.templates: Solved small typo in one template.
    Patch from David Prévot <taffit@debian.org> [Closes: #686258]
  * Debconf translation updates:
    - cs: Michal Šimůnek <michal.simunek@gmail.com> [Closes: #687194]
    - da: Joe Hansen <joedalton2@yahoo.dk> [Closes: #686458]
    - de: Holger Wansing <linux@wansing-online.de> [Closes: #686732]
    - es: Javier Fernández-Sanguino Peña <jfs@debian.org> [Closes: #686771]
    - fr: Christian Perrier <bubulle@debian.org> [Closes: #686911]
    - it: Luca Monducci <luca.mo@tiscali.it> [Closes: #686486]
    - jp: Victory <victory.deb@gmail.com>
    - nl: Willem Kuyn <willemkuyn@gmail.com>
    - pl: Michał Kułach <michal.kulach@gmail.com> [Closes: #686599]
    - pt: Traduz <traduz@debianpt.org> [Closes: #686734]
    - ru: Yuri Kozlov <kozlov.y@gmail.com> [Closes: #686476]
    - sk: Ivan Masár <helix84@centrum.sk> [Closes: #686532]
    - sv: Martin Bagge <brother@bsnet.se> [Closes: #688421]

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Mon, 3 Sep 2012 23:11:35 +0200

uswsusp (1.0+20110509-2ubuntu1) precise; urgency=low

  * Merge from debian unstable (LP: #892306).  Remaining changes:
    - debian/rules: 
      + Remove the SPLASHY_LIBS piece, it's useless since the splashy support
        has been disabled

 -- Leo Iannacone <l3on@ubuntu.com>  Fri, 18 Nov 2011 12:11:05 +0000

uswsusp (1.0+20110509-2) unstable; urgency=low

  [ Rodolfo García Peñas (kix) ]
  * In the version 1.0-1 the uswsusp uses KMS and follow the kernel
    [Closes: #500794] 
  * Machine support using whitelist finished in version 1.0-1
    [Closes: #520848, #518369, #498195, #497848, #526938, #509635]
    [Closes: #495436, #497842, #591066, #402365, #498917, #521147]
    [Closes: #541135, #530389, #574874]
  * In version 1.0-2: Corrected the doble quote in the uswsusp hook
    [Closes: #604427]
  * All debian/patches includes now description. DEP-3
  * Debian standard version is now 3.9.2
  * Debian changelog is now DEP-5

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Sun, 25 Sep 2011 16:17:13 +0200

uswsusp (1.0+20110509-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Vietnamese (Clytie Siddall).  Closes: #601560
    - Dutch (willem kuyn).  Closes: #622914
    - Danish (Joe Hansen).  Closes: #624659

 -- Christian Perrier <bubulle@debian.org>  Sun, 24 Jul 2011 12:29:35 +0200

uswsusp (1.0+20110509-1) unstable; urgency=low

  [ Rodolfo García Peñas (kix) ]
  * New upstream version from git
  * Now the postinst script checks if /dev/MAKEDEV exists [Closes: #522707]
  * The uswsusp.postinst file writes correctly the conf file [Closes: #524301]
  * Added "shutdown_method" in the NOTQ in uswsusp.config. 
    Is included in the 0.7 version, but not in 0.8. [Closes: #503337]

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Mon, 9 May 2011 00:04:43 +0200

uswsusp (1.0-2) unstable; urgency=low

  [ Rodolfo García Peñas (kix) ]
  * Patch for vt when not needed [Closes: #530713]
  * Corrected some spelling problems [Closes: #609418, #518636]
  * Vietnamese debconf template update [Closes: #601560]
  * The orig file includes the wlcsv2c.pl file (needed to make)
  * s2ram --force compatibility with PPC platform [Closes: #523552]
  * Corrected the doble quote in the uswsusp hook [Closes: #606732, #600572]
  * The bug #525001 was solved previously [Closes: #525001]
  * Added the > character in the uswsusp.conf file [Closes: #539116]

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Thu, 18 Mar 2011 20:39:03 +0100
