=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: admin
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tim Dijkstra <tim@debian.org>
-Uploaders: Anibal Monsalve Salazar <anibal@debian.org>, Rodolfo García Peñas (kix) <kix@kix.es>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libpci-dev, docbook-xml, xsltproc, po-debconf, zlib1g-dev, libx86-dev [amd64 i386], pkg-config, autotools-dev, quilt, liblzo2-dev, libgcrypt11-dev, docbook2x
-Standards-Version: 3.9.1
+XSBC-Original-Maintainer: Rodolfo García Peñas (kix) <kix@kix.es>
+Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libpci-dev, docbook-xsl, docbook-xml, xsltproc, po-debconf, zlib1g-dev, libx86-dev [amd64 i386], pkg-config, liblzo2-dev, libgcrypt11-dev, docbook2x
+Standards-Version: 3.9.2
 Homepage: http://suspend.sourceforge.net/
 
 Package: uswsusp
